
-
    request:
        method: POST
        url: 'https://dev-witcher-wiki.eu.auth0.com/oauth/token'
        headers:
            Host: dev-witcher-wiki.eu.auth0.com
            Expect: ''
            Accept-Encoding: ''
            User-Agent: GuzzleHttp/7
            Content-Type: application/x-www-form-urlencoded
            Auth0-Client: eyJuYW1lIjoibGFyYXZlbC1hdXRoMCIsInZlcnNpb24iOiI3LjAuMCIsImVudiI6eyJMYXJhdmVsIjoiOC44My4xMiJ9fQ==
            Accept: ''
        body: 'grant_type=client_credentials&client_id=IqukTWvCfwUUIw9MIEYCcDPxVuI1PVx0&####CLIENT-SECRET-REDACTED####audience=xyz.hamsterwheel.wiki-witcher-dev'
    response:
        status:
            code: 200
            message: OK
        headers:
            Date: 'Sun, 22 May 2022 19:06:48 GMT'
            Content-Type: application/json
            Transfer-Encoding: chunked
            Connection: keep-alive
            CF-Ray: 70f7d4c1aede76bd-LHR
            Cache-Control: no-store
            Set-Cookie: ['did=s%3Av0%3A547905d0-da02-11ec-9e51-e96e97784d2f.2Td9zYIMyl4f99vgs%2F%2FSvr7FpxlhabLUIjNsxz%2F3ulM; Max-Age=31557600; Path=/; Expires=Tue, 23 May 2023 01:06:48 GMT; HttpOnly; Secure; SameSite=None', 'did_compat=s%3Av0%3A547905d0-da02-11ec-9e51-e96e97784d2f.2Td9zYIMyl4f99vgs%2F%2FSvr7FpxlhabLUIjNsxz%2F3ulM; Max-Age=31557600; Path=/; Expires=Tue, 23 May 2023 01:06:48 GMT; HttpOnly; Secure', '__cf_bm=bm3hA_okCSVSVGT1Skk8PmK69AlIZshrzj877Cm.etk-1653246408-0-ARUYeBo8zWe84ue7J7+pjQi9qHpLNYvNNoyh8G4QUizktBWzdUOkUO/sDlhRQx4sJNzWh2UNosvT2Y8+rsFYVwQ=; path=/; expires=Sun, 22-May-22 19:36:48 GMT; domain=.eu.auth0.com; HttpOnly; Secure; SameSite=None']
            Strict-Transport-Security: max-age=31536000
            Vary: 'Accept-Encoding, Origin'
            CF-Cache-Status: DYNAMIC
            Expect-CT: 'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"'
            ot-baggage-auth0-request-id: 70f7d4c1aede76bd
            ot-tracer-sampled: 'true'
            ot-tracer-spanid: 5158a5c012a8d2b0
            ot-tracer-traceid: 6af2b66b1bcd3c26
            Pragma: no-cache
            traceparent: 00-5158a5c012a8d2b0-00000000000000006af2b66b1bcd3c26-01
            tracestate: auth0-request-id=70f7d4c1aede76bd
            X-Auth0-RequestId: 883d109dd4c5cc901997
            X-Content-Type-Options: nosniff
            X-RateLimit-Limit: '30'
            X-RateLimit-Remaining: '29'
            X-RateLimit-Reset: '1653246409'
            Server: cloudflare
            alt-svc: 'h3=":443"; ma=86400, h3-29=":443"; ma=86400'
        body: '{"access_token":"####ACCESS-TOKEN-REDACTED####","scope":"monster:read monster:create monster:update","expires_in":86400,"token_type":"Bearer"}'
        curl_info:
            url: 'https://dev-witcher-wiki.eu.auth0.com/oauth/token'
            content_type: application/json
            http_code: 200
            header_size: 1587
            request_size: 469
            filetime: -1
            ssl_verify_result: 0
            redirect_count: 0
            total_time: 0.955547
            namelookup_time: 0.129857
            connect_time: 0.237197
            pretransfer_time: 0.36671
            size_upload: 194.0
            size_download: 1012.0
            speed_download: 1059.0
            speed_upload: 203.0
            download_content_length: -1.0
            upload_content_length: 194.0
            starttransfer_time: 0.953788
            redirect_time: 0.0
            redirect_url: ''
            primary_ip: 104.18.244.88
            certinfo: {  }
            primary_port: 443
            local_ip: 172.21.0.4
            local_port: 54296
            http_version: 2
            protocol: 2
            ssl_verifyresult: 0
            scheme: HTTPS
            appconnect_time_us: 366561
            connect_time_us: 237197
            namelookup_time_us: 129857
            pretransfer_time_us: 366710
            redirect_time_us: 0
            starttransfer_time_us: 953788
            total_time_us: 955547
-
    request:
        method: GET
        url: 'https://dev-witcher-wiki-api-laravel.herokuapp.com/api/v1/monsters'
        headers:
            Host: dev-witcher-wiki-api-laravel.herokuapp.com
            Accept-Encoding: ''
            User-Agent: GuzzleHttp/7
            Authorization: ''
            Accept: ''
    response:
        status:
            code: 200
            message: OK
        headers:
            Connection: keep-alive
            Server: nginx
            Content-Type: application/json
            Transfer-Encoding: chunked
            Cache-Control: 'no-cache, private'
            Date: 'Sun, 22 May 2022 19:06:49 GMT'
            X-Ratelimit-Limit: '60'
            X-Ratelimit-Remaining: '59'
            Access-Control-Allow-Origin: '*'
            Via: '1.1 vegur'
        body: '{"data":[{"id":2,"name":"New Monster","class":"beasts","description":"test update 8","susceptibilities":[],"primaryImage":null,"images":null,"createdAt":"2022-05-05T17:44:05.000000Z","updatedAt":"2022-05-16T11:59:53.000000Z","variations":{"data":[]}},{"id":1,"name":"Bear","class":"beasts","description":"test update 31","susceptibilities":[],"primaryImage":null,"images":null,"createdAt":"2022-04-03T15:51:15.000000Z","updatedAt":"2022-05-16T14:28:42.000000Z","variations":{"data":[]}},{"id":3,"name":"Another Beast update","class":"beasts","description":"test newasdfa","susceptibilities":[],"primaryImage":null,"images":null,"createdAt":"2022-05-16T14:29:13.000000Z","updatedAt":"2022-05-16T14:30:13.000000Z","variations":{"data":[]}}],"meta":{"pagination":{"total":3,"count":3,"per_page":15,"current_page":1,"total_pages":1,"links":{}}},"statusCode":200,"message":"Monsters retrieved."}'
        curl_info:
            url: 'https://dev-witcher-wiki-api-laravel.herokuapp.com/api/v1/monsters'
            content_type: application/json
            http_code: 200
            header_size: 287
            request_size: 1032
            filetime: -1
            ssl_verify_result: 0
            redirect_count: 0
            total_time: 1.093097
            namelookup_time: 0.237946
            connect_time: 0.367305
            pretransfer_time: 0.637011
            size_upload: 0.0
            size_download: 890.0
            speed_download: 814.0
            speed_upload: 0.0
            download_content_length: -1.0
            upload_content_length: -1.0
            starttransfer_time: 1.093023
            redirect_time: 0.0
            redirect_url: ''
            primary_ip: 54.220.192.176
            certinfo: {  }
            primary_port: 443
            local_ip: 172.21.0.4
            local_port: 45228
            http_version: 2
            protocol: 2
            ssl_verifyresult: 0
            scheme: HTTPS
            appconnect_time_us: 636841
            connect_time_us: 367305
            namelookup_time_us: 237946
            pretransfer_time_us: 637011
            redirect_time_us: 0
            starttransfer_time_us: 1093023
            total_time_us: 1093097
-
    request:
        method: GET
        url: 'https://dev-witcher-wiki-api-laravel.herokuapp.com/api/v1/monsters/1'
        headers:
            Host: dev-witcher-wiki-api-laravel.herokuapp.com
            Accept-Encoding: ''
            User-Agent: GuzzleHttp/7
            Authorization: ''
            Accept: ''
    response:
        status:
            code: 200
            message: OK
        headers:
            Connection: keep-alive
            Server: nginx
            Content-Type: application/json
            Transfer-Encoding: chunked
            Cache-Control: 'no-cache, private'
            Date: 'Sun, 22 May 2022 20:20:13 GMT'
            X-Ratelimit-Limit: '60'
            X-Ratelimit-Remaining: '59'
            Access-Control-Allow-Origin: '*'
            Via: '1.1 vegur'
        body: '{"data":{"id":1,"name":"Bear","class":"beasts","description":"test update 31","susceptibilities":[],"primaryImage":null,"images":null,"createdAt":"2022-04-03T15:51:15.000000Z","updatedAt":"2022-05-16T14:28:42.000000Z","variations":{"data":[]}},"statusCode":200,"message":"Monster retrieved."}'
        curl_info:
            url: 'https://dev-witcher-wiki-api-laravel.herokuapp.com/api/v1/monsters/1'
            content_type: application/json
            http_code: 200
            header_size: 287
            request_size: 1034
            filetime: -1
            ssl_verify_result: 0
            redirect_count: 0
            total_time: 1.222064
            namelookup_time: 0.239661
            connect_time: 0.359474
            pretransfer_time: 0.666225
            size_upload: 0.0
            size_download: 292.0
            speed_download: 238.0
            speed_upload: 0.0
            download_content_length: -1.0
            upload_content_length: -1.0
            starttransfer_time: 1.221934
            redirect_time: 0.0
            redirect_url: ''
            primary_ip: 54.73.53.134
            certinfo: {  }
            primary_port: 443
            local_ip: 172.21.0.4
            local_port: 41802
            http_version: 2
            protocol: 2
            ssl_verifyresult: 0
            scheme: HTTPS
            appconnect_time_us: 665987
            connect_time_us: 359474
            namelookup_time_us: 239661
            pretransfer_time_us: 666225
            redirect_time_us: 0
            starttransfer_time_us: 1221934
            total_time_us: 1222064
